import * as a from "yup";
import { BASE_SCHEMA_STRATEGIES as o } from "./baseSchemaStrategies.js";
function p(r) {
  const t = o.find((e) => e.applies(r));
  return t ? t.create(r) : a.string();
}
export {
  p as createBaseSchema
};
